Subject: bug#835: 23.0.60; Quick calc is quietly disabled in view-mode

From: martin rudalics <[email-masked]>
Date: Mon, 01 Sep 2008 23:08:11 +0200

> !               (define-key map (char-to-string (- (car x) ?a -1)) (cdr
 > x)))
[...]
 > !               (define-key map (upcase (char-to-string (car x))) (cdr
 > x)))

 > What the original code
 > does is the following: for a character such as "n", it adds "C-n" to the
 > keymap as well (it's a hack that relies on the specific properties of
 > the ASCII table, and needs at least a comment).  That's not what the
 > patched code does: it adds "N" to the keymap.  Martin, what's the reason
 > for this change?

That was my intention: AFAICT `view-mode' took `Q' (and, for example,
`E') away from calc and I simply tried to give it back to calc.  But
maybe this part of the code really intended to add a "C-" ...

martin